Preferred bug tracker

Please visit the preferred bug tracker to report your issue.

This queue is for tickets about the Perl-Critic CPAN distribution.

Report information
The Basics
Id:
73762
Status:
rejected
Priority:
Low/Low
Queue:

People
Owner:
Nobody in particular
Requestors:
MITHALDU [...] cpan.org
Cc:
AdminCc:

BugTracker
Severity:
Wishlist
Broken in:
(no value)
Fixed in:
(no value)



Subject: Please make Policy::TestingAndDebugging::RequireUseStrict allow strictures.pm
strictures.pm is a module that's even more strict than strict and i think it's fair to include it in there.
There is a constant parade of 'use strict' alternatives. Rather than trying to keep up with all of them, we made the Policy configurable. So you can do this in your .perlcriticrc file: [TestingAndDebugging::RequireUseStrict] equivalent_modules = strictures If you can show that strictures.pm is widely used, then we can consider including it in the default list of equivalent_modules. Otherwise, I'm going to reject this request. -- Jeffrey Thalhammer Imaginative Software Systems www.imaginative-software.com


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.